Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app
Interface ContactCenterSimWithObservationSets

All Superinterfaces:
  ContactCenterEval, ContactCenterInfo, ContactCenterSim

    public interface ContactCenterSimWithObservationSets

extends ContactCenterSim

Represents a contact center simulator producing sets of observations for performance measures. The definition of a set of observations depends on the specific simulator; it can correspond to a macro-replication, a stratum, etc.

Method Summary
`int` | `getNumObservationSets(PerformanceMeasureType pm, int row, int column)` Returns the number of sets of observations available for a performance measure of type `pm`, identified by row `row` and column `column`.
`double[]` | `getObs(PerformanceMeasureType pm, int row, int column, int set)` Returns the number of observations available in the set `set` for a performance measure of type `pm`, identified by row `row` and column `column`.
`int` | `numberObs(PerformanceMeasureType pm, int row, int column, int set)` Returns the number of observations available in the set `set` for a performance measure of type `pm`, identified by row `row` and column `column`.

Methods inherited from interface umontreal.iro.lecuyer.contactcenters.app.ContactCenterSim
`eval, getAutoResetStartStream, getCompletedSteps, getConfidenceInterval, getConfidenceLevel, getMatrixOfFunctionOfMultipleMeansTallies, getMatrixOfStatProbes, getMatrixOfTallies, getMax, getMin, getSeqSampEachEval, getVariance, newSeeds, resetNextSubstream, resetStartStream, resetStartSubstream, setAutoResetStartStream, setConfidenceLevel, setSeqSampEachEval`

Methods inherited from interface umontreal.iro.lecuyer.contactcenters.app.ContactCenterEval
`formatStatistics, formatStatisticsExcel, formatStatisticsLaTeX, getEvalInfo, getEvalOption, getEvalOptions, getPerformanceMeasure, getPerformanceMeasures, getReportParams, hasEvalOption, hasPerformanceMeasure, isVerbose, reset, seemsUnstable, setEvalOption, setReportParams, setVerbose`

Methods inherited from interface umontreal.iro.lecuyer.contactcenters.app.ContactCenterInfo
`getAgentGroupName, getAgentGroupProperties, getAgentGroupSegmentName, getAgentGroupSegmentProperties, getContactTypeName, getContactTypeProperties, getContactTypeSegmentName, getContactTypeSegmentProperties, getDefaultUnit, getInContactTypeSegmentName, getInContactTypeSegmentProperties, getMainPeriodName, getMainPeriodSegmentName, getMatrixOfAWTName, getNumAgentGroups, getNumAgentGroupSegments, getNumAgentGroupsWithSegments, getNumContactTypes, getNumContactTypeSegments, getNumContactTypesWithSegments, getNumInContactTypes, getNumInContactTypeSegments, getNumInContactTypesWithSegments, getNumMainPeriods, getNumMainPeriodSegments, getNumMainPeriodsWithSegments, getNumMatricesOfAWT, getNumOutContactTypes, getNumOutContactTypeSegments, getNumOutContactTypesWithSegments, getNumWaitingQueues, getNumWaitingQueueSegments, getNumWaitingQueuesWithSegments, getOutContactTypeSegmentName, getOutContactTypeSegmentProperties, getWaitingQueueName, getWaitingQueueProperties, getWaitingQueueSegmentName, getWaitingQueueSegmentProperties`

Method Detail

### getNumObservationSets

    int getNumObservationSets(PerformanceMeasureType pm,
                              int row,
                              int column)

  Returns the number of sets of observations available for a performance measure of type `pm`, identified by row `row` and column `column`. If the number of sets of observations is not available for the given performance measure, this method throws a `NoSuchElementException`.

  Parameters:
    `pm` - the type of performance measure.
    `row` - the row of the performance measure.
    `column` - the column of the performance measure.
  Returns:
    the number of sets of observations.
  Throws:
    `NoSuchElementException` - if the observations are not available for the given performance measure.
    `IndexOutOfBoundsException` - if `row` or `column` are out of bounds.

### numberObs

    int numberObs(PerformanceMeasureType pm,
                  int row,
                  int column,
                  int set)

  Returns the number of observations available in the set `set` for a performance measure of type `pm`, identified by row `row` and column `column`. If the number of observations is not available for the given performance measure, this method throws a `NoSuchElementException`.

  Parameters:
    `pm` - the type of performance measure.
    `row` - the row of the performance measure.
    `column` - the column of the performance measure.
    `set` - the index of the set of observations.
  Returns:
    the number of observations.
  Throws:
    `NoSuchElementException` - if the observations are not available for the given performance measure.
    `IndexOutOfBoundsException` - if `row`, `column`, or `set` are out of bounds.

### getObs

    double[] getObs(PerformanceMeasureType pm,
                    int row,
                    int column,
                    int set)

  Returns the number of observations available in the set `set` for a performance measure of type `pm`, identified by row `row` and column `column`. If the number of observations is not available for the given performance measure, this method throws a `NoSuchElementException`.

  Parameters:
    `pm` - the type of performance measure.
    `row` - the row of the performance measure.
    `column` - the column of the performance measure.
    `set` - the index of the set of observations.
  Returns:
    the number of observations.
  Throws:
    `NoSuchElementException` - if the observations are not available for the given performance measure.
    `IndexOutOfBoundsException` - if `row`, `column`, or `set` are out of bounds.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.